"use strict";
/**
 * `core-storage.ts`
 * - common types for core storage
 *
 *
 * @author      Steve Jung <steve@lemoncloud.io>
 * @date        2019-11-20 initial version
 * @date        2020-01-03 support cognito-identity
 * @date        2021-12-07 support SearchBody
 *
 * @copyright   (C) lemoncloud.io 2019 - All Rights Reserved.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.CORE_FIELDS = void 0;
//NOTE! - BE WARE TO USE `ts-transformer-keys` DUE TO MISSING `ttypescript`
// export const CORE_FIELDS: string[] = keys<CoreModel>().filter(_ => !_.startsWith('_'));
// _inf(NS, '! CORE_FIELDS =', CORE_FIELDS.join(', ')); // for debugging.
exports.CORE_FIELDS = 'ns,type,stereo,sid,uid,gid,lock,next,meta,createdAt,updatedAt,deletedAt'.split(',');
//# sourceMappingURL=core-storage.js.map